port: 7890
allow-lan: true
mode: rule
log-level: info
unified-delay: true
global-client-fingerprint: chrome
dns:
  enable: false
  listen: :53
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver: 
    - 223.5.5.5
    - 8.8.8.8
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
  fallback:
    - https://1.0.0.1/dns-query
    - tls://dns.google
  fallback-filter:
    geoip: true
    geoip-code: CN
    ipcidr:
      - 240.0.0.0/4

proxies:
- name: vless-reality-vision-hkjdA6Kn5Lqs               
  type: vless
  server: 149.88.67.18                           
  port: 29787                                
  uuid: 3c8ce155-6a51-40f3-871c-e2c30897d5a0   
  network: tcp
  udp: true
  tls: true
  flow: xtls-rprx-vision
  servername: www.yahoo.com                 
  reality-opts: 
    public-key: MVFu96oDxohyOswEHQDCirYB7gS8McKJ9Zxy-wRM1hI    
    short-id: 94741595                    
  client-fingerprint: chrome                  

- name: vmess-ws-hkjdA6Kn5Lqs                         
  type: vmess
  server: 149.88.67.18                        
  port: 8880                                     
  uuid: 3c8ce155-6a51-40f3-871c-e2c30897d5a0       
  alterId: 0
  cipher: auto
  udp: true
  tls: false
  network: ws
  servername: www.bing.com                    
  ws-opts:
    path: "3c8ce155-6a51-40f3-871c-e2c30897d5a0-vm"                             
    headers:
      Host: www.bing.com                     





- name: hysteria2-hkjdA6Kn5Lqs                            
  type: hysteria2                                      
  server: 149.88.67.18                               
  port: 56245                                
  password: 3c8ce155-6a51-40f3-871c-e2c30897d5a0                          
  alpn:
    - h3
  sni: www.bing.com                               
  skip-cert-verify: true
  fast-open: true

- name: tuic5-hkjdA6Kn5Lqs                            
  server: 149.88.67.18                      
  port: 49321                                    
  type: tuic
  uuid: 3c8ce155-6a51-40f3-871c-e2c30897d5a0       
  password: 3c8ce155-6a51-40f3-871c-e2c30897d5a0   
  alpn: [h3]
  disable-sni: true
  reduce-rtt: true
  udp-relay-mode: native
  congestion-controller: bbr
  sni: www.bing.com                                
  skip-cert-verify: true

proxy-groups:
- name: 负载均衡
  type: load-balance
  url: https://www.gstatic.com/generate_204
  interval: 300
  strategy: round-robin
  proxies:
    - vless-reality-vision-hkjdA6Kn5Lqs                              
    - vmess-ws-hkjdA6Kn5Lqs
    - hysteria2-hkjdA6Kn5Lqs
    - tuic5-hkjdA6Kn5Lqs

- name: 自动选择
  type: url-test
  url: https://www.gstatic.com/generate_204
  interval: 300
  tolerance: 50
  proxies:
    - vless-reality-vision-hkjdA6Kn5Lqs                              
    - vmess-ws-hkjdA6Kn5Lqs
    - hysteria2-hkjdA6Kn5Lqs
    - tuic5-hkjdA6Kn5Lqs
    
- name: 🌍选择代理节点
  type: select
  proxies:
    - 负载均衡                                         
    - 自动选择
    - DIRECT
    - vless-reality-vision-hkjdA6Kn5Lqs                              
    - vmess-ws-hkjdA6Kn5Lqs
    - hysteria2-hkjdA6Kn5Lqs
    - tuic5-hkjdA6Kn5Lqs
rules:
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,🌍选择代理节点

